Bug 960345 (CVE-2013-1997) - CVE-2013-1997 libX11: Multiple Array Index error leading to heap-based OOB write
Summary: CVE-2013-1997 libX11: Multiple Array Index error leading to heap-based OOB write
Status: CLOSED ERRATA
Alias: CVE-2013-1997
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20130523,repor...
Keywords: Reopened, Security
Depends On: 966680 1078019
Blocks: 959130 1101912
TreeView+ depends on / blocked
 
Reported: 2013-05-07 05:08 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 19:34 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-10-16 06:17:25 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1436 normal SHIPPED_LIVE Moderate: X11 client libraries security, bug fix, and enhancement update 2014-10-14 01:06:02 UTC

Description Huzaifa S. Sidhpurwala 2013-05-07 05:08:40 UTC
Multiple Array index errors leading to heap-based buffer OOB write flaws were found in the libX11, Core X11 protocol client library. When a X client is connected to a malcicious X server , (modified to return invalid values), it can cause arbirary code execution with the privileges of the user running the X client.

      Affected functions:  XAllocColorCells(), _XkbReadGetDeviceInfoReply(),
          _XkbReadGeomShapes(), _XkbReadGetGeometryReply(), _XkbReadKeySyms(),
          _XkbReadKeyActions(), _XkbReadKeyBehaviors(), _XkbReadModifierMap(),
          _XkbReadExplicitComponents(), _XkbReadVirtualModMap(),
          _XkbReadGetNamesReply(), _XkbReadGetMapReply(), _XimXGetReadData(),
          XListFonts(), XListExtensions()

Comment 17 Jan Lieskovsky 2013-05-23 15:50:01 UTC
Public via:
  http://www.openwall.com/lists/oss-security/2013/05/23/3

Comment 18 Jan Lieskovsky 2013-05-23 16:29:49 UTC
Upstream patches:
  http://cgit.freedesktop.org/xorg/lib/libX11/commit/?id=cddc4e7e3cb4b9b7ad25f8591971a86901c249f2 [1/15]
  http://cgit.freedesktop.org/xorg/lib/libX11/commit/?id=f293659d5a4024bda386305bb7ebeb4647c40934 [2/15]
  http://cgit.freedesktop.org/xorg/lib/libX11/commit/?id=bff938b9fe1629cbacb726509edfa2a3840b7207 [3/15]
  http://cgit.freedesktop.org/xorg/lib/libX11/commit/?id=59ae16a00d18588e98af57d26e442af8ea42b7aa [4/15]
  http://cgit.freedesktop.org/xorg/lib/libX11/commit/?id=fd7d4956bc7a1c4b5c38661b12777ebee4d685d9 [5/15]
  http://cgit.freedesktop.org/xorg/lib/libX11/commit/?id=00626c3830b869259098985afa38933d77ccec72 [6/15]
  http://cgit.freedesktop.org/xorg/lib/libX11/commit/?id=06c086e8a1d8374ea9a95ff989f053c96bb1bdca [7/15]
  http://cgit.freedesktop.org/xorg/lib/libX11/commit/?id=e56a2ada719c5cfac5ed61a52a80ade86c0f5957 [8/15]
  http://cgit.freedesktop.org/xorg/lib/libX11/commit/?id=4d7c422a37eb9617fb22f8e37527c2b34b105665 [9/15]
  http://cgit.freedesktop.org/xorg/lib/libX11/commit/?id=2df882eeb3a70256170127a746a9ba26376599a1 [10/15]
  http://cgit.freedesktop.org/xorg/lib/libX11/commit/?id=de2e6c322c4aca22856b380f67f8e488e7510015 [11/15]
  http://cgit.freedesktop.org/xorg/lib/libX11/commit/?id=b9ba832401734e1cbd30a930c0d11d850293f3f9 [12/15]
  http://cgit.freedesktop.org/xorg/lib/libX11/commit/?id=0c404db6a92dc2c198328bf586c02d8abbe02013 [13/15]
  http://cgit.freedesktop.org/xorg/lib/libX11/commit/?id=8d5936594993921acdfec778dd8f41b555e2543a [14/15]
  http://cgit.freedesktop.org/xorg/lib/libX11/commit/?id=db1b1c871da29aa0545182bf888df81627f165a5 [15/15]

Comment 19 Jan Lieskovsky 2013-05-23 16:32:31 UTC
These issues affect the versions of the libX11 package, as shipped with Fedora release of 17 and 18. Please schedule an update.

Comment 20 Jan Lieskovsky 2013-05-23 16:38:43 UTC
Created libX11 tracking bugs for this issue

Affects: fedora-all [bug 966680]

Comment 21 Jan Lieskovsky 2013-05-23 17:01:43 UTC
External References:

http://www.x.org/wiki/Development/Security/Advisory-2013-05-23

Comment 22 Fedora Update System 2013-05-27 03:27:14 UTC
libX11-1.5.99.901-3.20130524gita3bdd2b09.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2013-05-28 01:02:50 UTC
libX11-1.5.99.901-3.20130524gita3bdd2b09.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Peter Hutterer 2013-05-28 03:03:52 UTC
All packages in stable, closing.

Comment 26 Huzaifa S. Sidhpurwala 2013-06-05 03:36:59 UTC
This issue affects the version of libX11 as shipped with Red Hat Enterprise Linux 5 and 6.

Comment 27 Huzaifa S. Sidhpurwala 2013-06-05 03:48:40 UTC
Statement:

This issue affects the libX11 package in Red Hat Enterprise Linux 5. Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not planned to be fixed in Red Hat Enterprise Linux 5 as it is now in Production 3 Phase of the support and maintenance life cycle: https://access.redhat.com/support/policy/updates/errata/

Comment 29 errata-xmlrpc 2014-10-14 05:05:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1436 https://rhn.redhat.com/errata/RHSA-2014-1436.html


Note You need to log in before you can comment on or make changes to this bug.